# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXPrintTimes

Function

Prints time marks.

Syntax
`
#include <dx/dx.h>
`

void DXPrintTimes()

Functional Details

Prints a merged summary of the "global" time events recorded by `DXMarkTime` and the "local" time events recorded by `DXMarkTimeLocal` since the last call to `DXPrintTimes`.

For each global event, the following are printed:

- The identifying tag that was specified by the `DXMarkTime` call
- The time of the last previous global event
- The difference in time between that previous event and this event
- The time of this event.

For each local event, the following are printed:

- The processor on which the event occurred

- The time of the last previous local event on this processor or the last previous global event, whichever occurred later

- The difference in time between that previous event and this event

- The time of this event.

All times are printed in seconds. In addition, on some architectures the difference in user and system times are printed, as recorded by the operating system. These times are not printed on the IBM POWER Visualization System, and appear as zeros.

Return Value

None.

See Also

`DXGetTime, DXMarkTime, DXMarkTimeLocal, DXTraceTime`

13.2 , "Timing".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]